/*******************************************************************************
* File Name: result.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_result_H) /* Pins result_H */
#define CY_PINS_result_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "result_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 result__PORT == 15 && ((result__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    result_Write(uint8 value) ;
void    result_SetDriveMode(uint8 mode) ;
uint8   result_ReadDataReg(void) ;
uint8   result_Read(void) ;
uint8   result_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define result_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define result_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define result_DM_RES_UP          PIN_DM_RES_UP
#define result_DM_RES_DWN         PIN_DM_RES_DWN
#define result_DM_OD_LO           PIN_DM_OD_LO
#define result_DM_OD_HI           PIN_DM_OD_HI
#define result_DM_STRONG          PIN_DM_STRONG
#define result_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define result_MASK               result__MASK
#define result_SHIFT              result__SHIFT
#define result_WIDTH              8u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define result_PS                     (* (reg8 *) result__PS)
/* Data Register */
#define result_DR                     (* (reg8 *) result__DR)
/* Port Number */
#define result_PRT_NUM                (* (reg8 *) result__PRT) 
/* Connect to Analog Globals */                                                  
#define result_AG                     (* (reg8 *) result__AG)                       
/* Analog MUX bux enable */
#define result_AMUX                   (* (reg8 *) result__AMUX) 
/* Bidirectional Enable */                                                        
#define result_BIE                    (* (reg8 *) result__BIE)
/* Bit-mask for Aliased Register Access */
#define result_BIT_MASK               (* (reg8 *) result__BIT_MASK)
/* Bypass Enable */
#define result_BYP                    (* (reg8 *) result__BYP)
/* Port wide control signals */                                                   
#define result_CTL                    (* (reg8 *) result__CTL)
/* Drive Modes */
#define result_DM0                    (* (reg8 *) result__DM0) 
#define result_DM1                    (* (reg8 *) result__DM1)
#define result_DM2                    (* (reg8 *) result__DM2) 
/* Input Buffer Disable Override */
#define result_INP_DIS                (* (reg8 *) result__INP_DIS)
/* LCD Common or Segment Drive */
#define result_LCD_COM_SEG            (* (reg8 *) result__LCD_COM_SEG)
/* Enable Segment LCD */
#define result_LCD_EN                 (* (reg8 *) result__LCD_EN)
/* Slew Rate Control */
#define result_SLW                    (* (reg8 *) result__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define result_PRTDSI__CAPS_SEL       (* (reg8 *) result__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define result_PRTDSI__DBL_SYNC_IN    (* (reg8 *) result__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define result_PRTDSI__OE_SEL0        (* (reg8 *) result__PRTDSI__OE_SEL0) 
#define result_PRTDSI__OE_SEL1        (* (reg8 *) result__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define result_PRTDSI__OUT_SEL0       (* (reg8 *) result__PRTDSI__OUT_SEL0) 
#define result_PRTDSI__OUT_SEL1       (* (reg8 *) result__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define result_PRTDSI__SYNC_OUT       (* (reg8 *) result__PRTDSI__SYNC_OUT) 


#if defined(result__INTSTAT)  /* Interrupt Registers */

    #define result_INTSTAT                (* (reg8 *) result__INTSTAT)
    #define result_SNAP                   (* (reg8 *) result__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_result_H */


/* [] END OF FILE */
