/*******************************************************************************
* File Name: selH.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_selH_H) /* Pins selH_H */
#define CY_PINS_selH_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "selH_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 selH__PORT == 15 && ((selH__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    selH_Write(uint8 value) ;
void    selH_SetDriveMode(uint8 mode) ;
uint8   selH_ReadDataReg(void) ;
uint8   selH_Read(void) ;
uint8   selH_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define selH_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define selH_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define selH_DM_RES_UP          PIN_DM_RES_UP
#define selH_DM_RES_DWN         PIN_DM_RES_DWN
#define selH_DM_OD_LO           PIN_DM_OD_LO
#define selH_DM_OD_HI           PIN_DM_OD_HI
#define selH_DM_STRONG          PIN_DM_STRONG
#define selH_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define selH_MASK               selH__MASK
#define selH_SHIFT              selH__SHIFT
#define selH_WIDTH              8u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define selH_PS                     (* (reg8 *) selH__PS)
/* Data Register */
#define selH_DR                     (* (reg8 *) selH__DR)
/* Port Number */
#define selH_PRT_NUM                (* (reg8 *) selH__PRT) 
/* Connect to Analog Globals */                                                  
#define selH_AG                     (* (reg8 *) selH__AG)                       
/* Analog MUX bux enable */
#define selH_AMUX                   (* (reg8 *) selH__AMUX) 
/* Bidirectional Enable */                                                        
#define selH_BIE                    (* (reg8 *) selH__BIE)
/* Bit-mask for Aliased Register Access */
#define selH_BIT_MASK               (* (reg8 *) selH__BIT_MASK)
/* Bypass Enable */
#define selH_BYP                    (* (reg8 *) selH__BYP)
/* Port wide control signals */                                                   
#define selH_CTL                    (* (reg8 *) selH__CTL)
/* Drive Modes */
#define selH_DM0                    (* (reg8 *) selH__DM0) 
#define selH_DM1                    (* (reg8 *) selH__DM1)
#define selH_DM2                    (* (reg8 *) selH__DM2) 
/* Input Buffer Disable Override */
#define selH_INP_DIS                (* (reg8 *) selH__INP_DIS)
/* LCD Common or Segment Drive */
#define selH_LCD_COM_SEG            (* (reg8 *) selH__LCD_COM_SEG)
/* Enable Segment LCD */
#define selH_LCD_EN                 (* (reg8 *) selH__LCD_EN)
/* Slew Rate Control */
#define selH_SLW                    (* (reg8 *) selH__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define selH_PRTDSI__CAPS_SEL       (* (reg8 *) selH__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define selH_PRTDSI__DBL_SYNC_IN    (* (reg8 *) selH__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define selH_PRTDSI__OE_SEL0        (* (reg8 *) selH__PRTDSI__OE_SEL0) 
#define selH_PRTDSI__OE_SEL1        (* (reg8 *) selH__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define selH_PRTDSI__OUT_SEL0       (* (reg8 *) selH__PRTDSI__OUT_SEL0) 
#define selH_PRTDSI__OUT_SEL1       (* (reg8 *) selH__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define selH_PRTDSI__SYNC_OUT       (* (reg8 *) selH__PRTDSI__SYNC_OUT) 


#if defined(selH__INTSTAT)  /* Interrupt Registers */

    #define selH_INTSTAT                (* (reg8 *) selH__INTSTAT)
    #define selH_SNAP                   (* (reg8 *) selH__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_selH_H */


/* [] END OF FILE */
