/*******************************************************************************
* File Name: selL.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_selL_H) /* Pins selL_H */
#define CY_PINS_selL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "selL_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 selL__PORT == 15 && ((selL__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    selL_Write(uint8 value) ;
void    selL_SetDriveMode(uint8 mode) ;
uint8   selL_ReadDataReg(void) ;
uint8   selL_Read(void) ;
uint8   selL_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define selL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define selL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define selL_DM_RES_UP          PIN_DM_RES_UP
#define selL_DM_RES_DWN         PIN_DM_RES_DWN
#define selL_DM_OD_LO           PIN_DM_OD_LO
#define selL_DM_OD_HI           PIN_DM_OD_HI
#define selL_DM_STRONG          PIN_DM_STRONG
#define selL_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define selL_MASK               selL__MASK
#define selL_SHIFT              selL__SHIFT
#define selL_WIDTH              8u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define selL_PS                     (* (reg8 *) selL__PS)
/* Data Register */
#define selL_DR                     (* (reg8 *) selL__DR)
/* Port Number */
#define selL_PRT_NUM                (* (reg8 *) selL__PRT) 
/* Connect to Analog Globals */                                                  
#define selL_AG                     (* (reg8 *) selL__AG)                       
/* Analog MUX bux enable */
#define selL_AMUX                   (* (reg8 *) selL__AMUX) 
/* Bidirectional Enable */                                                        
#define selL_BIE                    (* (reg8 *) selL__BIE)
/* Bit-mask for Aliased Register Access */
#define selL_BIT_MASK               (* (reg8 *) selL__BIT_MASK)
/* Bypass Enable */
#define selL_BYP                    (* (reg8 *) selL__BYP)
/* Port wide control signals */                                                   
#define selL_CTL                    (* (reg8 *) selL__CTL)
/* Drive Modes */
#define selL_DM0                    (* (reg8 *) selL__DM0) 
#define selL_DM1                    (* (reg8 *) selL__DM1)
#define selL_DM2                    (* (reg8 *) selL__DM2) 
/* Input Buffer Disable Override */
#define selL_INP_DIS                (* (reg8 *) selL__INP_DIS)
/* LCD Common or Segment Drive */
#define selL_LCD_COM_SEG            (* (reg8 *) selL__LCD_COM_SEG)
/* Enable Segment LCD */
#define selL_LCD_EN                 (* (reg8 *) selL__LCD_EN)
/* Slew Rate Control */
#define selL_SLW                    (* (reg8 *) selL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define selL_PRTDSI__CAPS_SEL       (* (reg8 *) selL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define selL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) selL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define selL_PRTDSI__OE_SEL0        (* (reg8 *) selL__PRTDSI__OE_SEL0) 
#define selL_PRTDSI__OE_SEL1        (* (reg8 *) selL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define selL_PRTDSI__OUT_SEL0       (* (reg8 *) selL__PRTDSI__OUT_SEL0) 
#define selL_PRTDSI__OUT_SEL1       (* (reg8 *) selL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define selL_PRTDSI__SYNC_OUT       (* (reg8 *) selL__PRTDSI__SYNC_OUT) 


#if defined(selL__INTSTAT)  /* Interrupt Registers */

    #define selL_INTSTAT                (* (reg8 *) selL__INTSTAT)
    #define selL_SNAP                   (* (reg8 *) selL__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_selL_H */


/* [] END OF FILE */
