#include "utils.h"

void PrintStartPage1(){
    char tmp1[16], tmp2[16];
    LCD_Position(0,0);
    sprintf(tmp1,"Start %d-%d%d-%d%d",RTC_ReadYear(),RTC_ReadMonth()/10,RTC_ReadMonth()%10,RTC_ReadDayOfMonth()/10,RTC_ReadDayOfMonth()%10);
    LCD_PrintString(tmp1);
    LCD_Position(1,0);
    sprintf(tmp2," Date %d%d:%d%d:%d%d  ",RTC_ReadHour()/10,RTC_ReadHour()%10,RTC_ReadMinute()/10,RTC_ReadMinute()%10,RTC_ReadSecond()/10,RTC_ReadSecond()%10);    
    LCD_PrintString(tmp2);
}

void PrintStartPage2(int a, int b){
    char tmp1[16], tmp2[16];
    LCD_Position(0,0);
    sprintf(tmp1,"VGATE     %d%dmV",(a*16)/1000,(a*16)%1000);
    LCD_PrintString(tmp1);
    LCD_Position(1,0);
    sprintf(tmp2,"VREF      %d%dmV",(b*16)/1000,(b*16)%1000);
    LCD_PrintString(tmp2);
}

void PrintStartPage3(int a, int b){
    char tmp1[16], tmp2[16];
    LCD_Position(0,0);
    sprintf(tmp1,"OFFPN     %d%dmV",(a*16)/1000,(a*16)%1000);
    LCD_PrintString(tmp1);
    LCD_Position(1,0);
    sprintf(tmp2,"OFFCTRL   %d%dmV",(b*16)/1000,(b*16)%1000);
    LCD_PrintString(tmp2);
}

void PrintNormalPage(int row, int col, uint8 result[][8], uint16 year[][8], 
                         uint8 month[][8], uint8 day[][8], uint8 hour[][8], uint8 minute[][8], 
                         uint8 second[][8]){
    char tmp1[16], tmp2[16];                        
    if(result[row][col]==0){
        LCD_Position(0,0);
        sprintf(tmp1,"row%d%d Not Broken",(row+1)/10,(row+1)%10);
        LCD_PrintString(tmp1);
        LCD_Position(1,0);
        sprintf(tmp2,"col%d%d Yet       ",(col+1)/10,(col+1)%10);
        LCD_PrintString(tmp2);
    }
    else if(result[row][col]==1){
        LCD_Position(0,0);
        sprintf(tmp1,"row%d%d %d-%d%d-%d%d",row/10,row%10,year[row][col],
                                            month[row][col]/10,month[row][col]%10,
                                            day[row][col]/10,day[row][col]%10);
        LCD_PrintString(tmp1);
        LCD_Position(1,0);
        sprintf(tmp2,"col%d%d %d%d:%d%d:%d%d  ",col/10,col%10,
                                                hour[row][col]/10,hour[row][col]%10,
                                                minute[row][col]/10,minute[row][col]%10,
                                                second[row][col]/10,second[row][col]%10);    
        LCD_PrintString(tmp2);
    }
}